{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui.enable {
  fonts = {
    fonts = with pkgs; [
      (nerdfonts.override { fonts = [ "Iosevka" ]; }) # default monospace font
    ] ++ lib.optionals config.sbruder.full [
      google-fonts # google font collection (free)
      lmodern # Latin Modern for non-latex applications
      source-han-sans
      source-han-serif # CJK fonts
    ] ++ lib.optionals (!config.sbruder.full) [
      roboto # default sans-serif font (normally included in google-fonts)
    ] ++ lib.optionals config.sbruder.unfree.allowAssets [
      corefonts # good ol’ microsoft fonts
      vistafonts # newer microsoft fonts
    ];

    enableDefaultFonts = true;

    fontconfig = {
      defaultFonts = {
        monospace = [ "Iosevka Nerd Font" "Source Han Sans" ];
        sansSerif = [ "Roboto" "Source Han Sans" ];
        serif = [ "Georgia" "Source Han Serif" ];
      };
      localConf = /* xml */ ''
        <?xml version="1.0" encoding="UTF-8"?>
        <!DOCTYPE fontconfig SYSTEM "urn:fontconfig:fonts.dtd">
        <fontconfig>
          <alias>
            <family>system-ui</family>
            <prefer>
              <family>sans-serif</family>
            </prefer>
          </alias>
        </fontconfig>
      '';
    };
  };
}
