{ lib, nixosConfig, ... }:
let
  getMachineConfig = machine:
    if lib.hasAttr machine machineConfigs
    then lib.getAttr machine machineConfigs
    else { };

  machineConfigs = {
    mayushii = {
      standalone.outputs = lib.singleton {
        criteria = "eDP-1";
        mode = "1920x1080";
        position = "0,0";
      };
      home.outputs = [
        {
          criteria = "eDP-1";
          mode = "1920x1080";
          position = "0,60";
        }
        {
          criteria = "Dell Inc. DELL U2410 F525M0A104NL";
          mode = "1920x1200";
          position = "1920,0";
        }
      ];
    };
  };
in
{
  services.kanshi = {
    enable = true;
    profiles = getMachineConfig (nixosConfig.networking.hostName);
  };
}
